#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'searchbarbase.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "searchbarbase.h"

#include <ntqvariant.h>
#include <klineedit.h>
#include <kpushbutton.h>
#include <ntqtoolbutton.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a SearchBarBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
SearchBarBase::SearchBarBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "SearchBarBase" );
    SearchBarBaseLayout = new TQHBoxLayout( this, 4, KDialog::spacingHint(), "SearchBarBaseLayout"); 

    m_closeButton = new TQToolButton( this, "m_closeButton" );
    m_closeButton->setAutoRaise( TRUE );
    m_closeButton->setTextPosition( TQToolButton::BesideIcon );
    SearchBarBaseLayout->addWidget( m_closeButton );

    m_searchEdit = new KLineEdit( this, "m_searchEdit" );
    SearchBarBaseLayout->addWidget( m_searchEdit );

    m_statusPixLabel = new TQLabel( this, "m_statusPixLabel" );
    m_statusPixLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)4, (TQSizePolicy::SizeType)4, 0, 0, m_statusPixLabel->sizePolicy().hasHeightForWidth() ) );
    SearchBarBaseLayout->addWidget( m_statusPixLabel );

    m_statusTextLabel = new TQLabel( this, "m_statusTextLabel" );
    m_statusTextLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)4, (TQSizePolicy::SizeType)4, 0, 0, m_statusTextLabel->sizePolicy().hasHeightForWidth() ) );
    SearchBarBaseLayout->addWidget( m_statusTextLabel );

    m_findNextButton = new KPushButton( this, "m_findNextButton" );
    m_findNextButton->setEnabled( FALSE );
    SearchBarBaseLayout->addWidget( m_findNextButton );

    m_findPreviousButton = new KPushButton( this, "m_findPreviousButton" );
    m_findPreviousButton->setEnabled( FALSE );
    m_findPreviousButton->setFlat( FALSE );
    SearchBarBaseLayout->addWidget( m_findPreviousButton );

    m_optionsButton = new TQToolButton( this, "m_optionsButton" );
    m_optionsButton->setPopupDelay( 0 );
    m_optionsButton->setAutoRaise( TRUE );
    m_optionsButton->setTextPosition( TQToolButton::BesideIcon );
    SearchBarBaseLayout->addWidget( m_optionsButton );
    languageChange();
    resize( TQSize(502, 34).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SearchBarBase::~SearchBarBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SearchBarBase::languageChange()
{
    m_closeButton->setText( TQString::null );
    TQToolTip::add( m_closeButton, tr2i18n( "Close" ) );
    m_statusPixLabel->setText( TQString::null );
    m_statusTextLabel->setText( TQString::null );
    m_findNextButton->setText( tr2i18n( "Find Ne&xt" ) );
    m_findPreviousButton->setText( tr2i18n( "Find Previous" ) );
    m_optionsButton->setText( tr2i18n( "Options" ) );
}

/****************************************************************************
** SearchBarBase meta object code from reading C++ file 'searchbarbase.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "searchbarbase.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *SearchBarBase::className() const
{
    return "SearchBarBase";
}

TQMetaObject *SearchBarBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_SearchBarBase( "SearchBarBase", &SearchBarBase::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString SearchBarBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "SearchBarBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString SearchBarBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "SearchBarBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* SearchBarBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"SearchBarBase", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_SearchBarBase.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* SearchBarBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "SearchBarBase" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool SearchBarBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool SearchBarBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool SearchBarBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool SearchBarBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
