#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'autoreplace_preferencesui.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "autoreplace_preferencesui.h"

#include <ntqvariant.h>
#include <klineedit.h>
#include <tdelistview.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqcombobox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a Autoreplace_ConfigUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
Autoreplace_ConfigUI::Autoreplace_ConfigUI( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "Autoreplace_ConfigUI" );
    Autoreplace_ConfigUILayout = new TQGridLayout( this, 1, 1, 0, 6, "Autoreplace_ConfigUILayout"); 

    layout6 = new TQVBoxLayout( 0, 0, 6, "layout6"); 

    newButton = new TQPushButton( this, "newButton" );
    layout6->addWidget( newButton );

    removeButton = new TQPushButton( this, "removeButton" );
    layout6->addWidget( removeButton );
    spacer1 = new TQSpacerItem( 20, 506, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    layout6->addItem( spacer1 );

    Autoreplace_ConfigUILayout->addMultiCellLayout( layout6, 0, 1, 1, 1 );

    patternListView = new TDEListView( this, "patternListView" );
    patternListView->addColumn( tr2i18n( "RegEx" ) );
    patternListView->addColumn( tr2i18n( "Replace In" ) );
    patternListView->addColumn( tr2i18n( "Find" ) );
    patternListView->addColumn( tr2i18n( "Replace With" ) );
    patternListView->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)7, 0, 1, patternListView->sizePolicy().hasHeightForWidth() ) );
    patternListView->setAcceptDrops( TRUE );
    patternListView->setAllColumnsShowFocus( TRUE );
    patternListView->setFullWidth( TRUE );
    patternListView->setItemsRenameable( FALSE );
    patternListView->setDragEnabled( TRUE );

    Autoreplace_ConfigUILayout->addWidget( patternListView, 0, 0 );

    layout16 = new TQGridLayout( 0, 1, 1, 0, 6, "layout16"); 

    regExpEditorButton = new TQPushButton( this, "regExpEditorButton" );
    regExpEditorButton->setEnabled( FALSE );
    regExpEditorButton->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, regExpEditorButton->sizePolicy().hasHeightForWidth() ) );

    layout16->addWidget( regExpEditorButton, 1, 2 );

    directionLabel = new TQLabel( this, "directionLabel" );
    directionLabel->setEnabled( FALSE );
    directionLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, directionLabel->sizePolicy().hasHeightForWidth() ) );

    layout16->addWidget( directionLabel, 0, 0 );

    patternInput = new KLineEdit( this, "patternInput" );
    patternInput->setEnabled( FALSE );
    patternInput->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)0, 0, 0, patternInput->sizePolicy().hasHeightForWidth() ) );

    layout16->addWidget( patternInput, 1, 1 );

    replacementInput = new KLineEdit( this, "replacementInput" );
    replacementInput->setEnabled( FALSE );
    replacementInput->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)0, 0, 0, replacementInput->sizePolicy().hasHeightForWidth() ) );

    layout16->addMultiCellWidget( replacementInput, 2, 2, 1, 2 );

    patternLabel = new TQLabel( this, "patternLabel" );
    patternLabel->setEnabled( FALSE );
    patternLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, patternLabel->sizePolicy().hasHeightForWidth() ) );

    layout16->addWidget( patternLabel, 1, 0 );

    replacementLabel = new TQLabel( this, "replacementLabel" );
    replacementLabel->setEnabled( FALSE );
    replacementLabel->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, replacementLabel->sizePolicy().hasHeightForWidth() ) );

    layout16->addWidget( replacementLabel, 2, 0 );

    directionCombo = new TQComboBox( FALSE, this, "directionCombo" );
    directionCombo->setEnabled( FALSE );
    directionCombo->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)0, 1, 0, directionCombo->sizePolicy().hasHeightForWidth() ) );

    layout16->addMultiCellWidget( directionCombo, 0, 0, 1, 2 );

    Autoreplace_ConfigUILayout->addLayout( layout16, 1, 0 );
    languageChange();
    resize( TQSize(586, 576).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( patternListView, directionCombo );
    setTabOrder( directionCombo, patternInput );
    setTabOrder( patternInput, regExpEditorButton );
    setTabOrder( regExpEditorButton, replacementInput );
    setTabOrder( replacementInput, newButton );
    setTabOrder( newButton, removeButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
Autoreplace_ConfigUI::~Autoreplace_ConfigUI()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void Autoreplace_ConfigUI::languageChange()
{
    newButton->setText( tr2i18n( "Ne&w" ) );
    removeButton->setText( tr2i18n( "R&emove" ) );
    patternListView->header()->setLabel( 0, tr2i18n( "RegEx" ) );
    patternListView->header()->setLabel( 1, tr2i18n( "Replace In" ) );
    patternListView->header()->setLabel( 2, tr2i18n( "Find" ) );
    patternListView->header()->setLabel( 3, tr2i18n( "Replace With" ) );
    regExpEditorButton->setText( tr2i18n( "..." ) );
    directionLabel->setText( tr2i18n( "Replace in:" ) );
    patternLabel->setText( tr2i18n( "Find:" ) );
    replacementLabel->setText( tr2i18n( "Replace with:" ) );
}

/****************************************************************************
** Autoreplace_ConfigUI meta object code from reading C++ file 'autoreplace_preferencesui.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "autoreplace_preferencesui.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *Autoreplace_ConfigUI::className() const
{
    return "Autoreplace_ConfigUI";
}

TQMetaObject *Autoreplace_ConfigUI::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_Autoreplace_ConfigUI( "Autoreplace_ConfigUI", &Autoreplace_ConfigUI::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString Autoreplace_ConfigUI::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "Autoreplace_ConfigUI", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString Autoreplace_ConfigUI::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "Autoreplace_ConfigUI", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* Autoreplace_ConfigUI::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"Autoreplace_ConfigUI", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_Autoreplace_ConfigUI.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* Autoreplace_ConfigUI::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "Autoreplace_ConfigUI" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool Autoreplace_ConfigUI::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool Autoreplace_ConfigUI::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool Autoreplace_ConfigUI::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool Autoreplace_ConfigUI::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
